org.jboss.shrinkwrap.descriptor.api.connector17

## Interface ResourceadapterType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ResourceadapterType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `resourceadapterType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `ConfigPropertyType<ResourceadapterType<T>>` | `createConfig` Creates a new `config-property` element
    `ResourceadapterType<T>` | `removeAllConfig` Removes all `config-property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminobjectType<ResourceadapterType<T>>` | `createAdminobject()` Creates a new `adminobject` element
    `ConfigPropertyType<ResourceadapterType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `SecurityPermissionType<ResourceadapterType<T>>` | `createSecurityPermission()` Creates a new `security-permission` element
    `java.util.List<AdminobjectType<ResourceadapterType<T>>>` | `getAllAdminobject()` Returns all `adminobject` elements
    `java.util.List<ConfigPropertyType<ResourceadapterType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.util.List<SecurityPermissionType<ResourceadapterType<T>>>` | `getAllSecurityPermission()` Returns all `security-permission` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `AdminobjectType<ResourceadapterType<T>>` | `getOrCreateAdminobject()` If not already created, a new `adminobject` element will be created and returned.
    `ConfigPropertyType<ResourceadapterType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `InboundResourceadapterType<ResourceadapterType<T>>` | `getOrCreateInboundResourceadapter()` If not already created, a new `inbound-resourceadapter` element with the given value will be created.
    `OutboundResourceadapterType<ResourceadapterType<T>>` | `getOrCreateOutboundResourceadapter()` If not already created, a new `outbound-resourceadapter` element with the given value will be created.
    `SecurityPermissionType<ResourceadapterType<T>>` | `getOrCreateSecurityPermission()` If not already created, a new `security-permission` element will be created and returned.
    `java.lang.String` | `getResourceadapterClass()` Returns the `resourceadapter-class` element
    `ResourceadapterType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ResourceadapterType<T>` | `removeAllAdminobject()` Removes all `adminobject` elements
    `ResourceadapterType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `ResourceadapterType<T>` | `removeAllSecurityPermission()` Removes all `security-permission` elements
    `ResourceadapterType<T>` | `removeId()` Removes the `id` attribute
    `ResourceadapterType<T>` | `removeInboundResourceadapter()` Removes the `inbound-resourceadapter` element
    `ResourceadapterType<T>` | `removeOutboundResourceadapter()` Removes the `outbound-resourceadapter` element
    `ResourceadapterType<T>` | `removeResourceadapterClass()` Removes the `resourceadapter-class` element
    `ResourceadapterType<T>` | `resourceadapterClass(java.lang.String resourceadapterClass)` Sets the `resourceadapter-class` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### createConfig

          ConfigPropertyType<ResourceadapterType<T>> createConfigProperty

      Creates a new `config-property` element

    - #### removeAllConfig

          ResourceadapterType<T> removeAllConfigProperty

      Removes all `config-property` elements

  - ### Method Detail

    - #### resourceadapterClass

          ResourceadapterType<T> resourceadapterClass(java.lang.String resourceadapterClass)

      Sets the `resourceadapter-class` element
      Parameters:
        `resourceadapterClass` - the value for the element `resourceadapter-class`
      Returns:
        the current instance of `ResourceadapterType`

    - #### getResourceadapterClass

          java.lang.String getResourceadapterClass()

      Returns the `resourceadapter-class` element
      Returns:
        the node defined for the element `resourceadapter-class`

    - #### removeResourceadapterClass

          ResourceadapterType<T> removeResourceadapterClass()

      Removes the `resourceadapter-class` element
      Returns:
        the current instance of `ResourceadapterType`

    - #### getOrCreateConfigProperty

          ConfigPropertyType<ResourceadapterType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<ResourceadapterType<T>> createConfigProperty()

      Creates a new `config-property` element

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<ResourceadapterType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          ResourceadapterType<T> removeAllConfigProperty()

      Removes all `config-property` elements

    - #### getOrCreateOutboundResourceadapter

          OutboundResourceadapterType<ResourceadapterType<T>> getOrCreateOutboundResourceadapter()

      If not already created, a new `outbound-resourceadapter` element with the given value will be created. Otherwise, the existing `outbound-resourceadapter` element will be returned.
      Returns:
        a new or existing instance of `OutboundResourceadapterType>`

    - #### removeOutboundResourceadapter

          ResourceadapterType<T> removeOutboundResourceadapter()

      Removes the `outbound-resourceadapter` element
      Returns:
        the current instance of `ResourceadapterType`

    - #### getOrCreateInboundResourceadapter

          InboundResourceadapterType<ResourceadapterType<T>> getOrCreateInboundResourceadapter()

      If not already created, a new `inbound-resourceadapter` element with the given value will be created. Otherwise, the existing `inbound-resourceadapter` element will be returned.
      Returns:
        a new or existing instance of `InboundResourceadapterType>`

    - #### removeInboundResourceadapter

          ResourceadapterType<T> removeInboundResourceadapter()

      Removes the `inbound-resourceadapter` element
      Returns:
        the current instance of `ResourceadapterType`

    - #### getOrCreateAdminobject

          AdminobjectType<ResourceadapterType<T>> getOrCreateAdminobject()

      If not already created, a new `adminobject` element will be created and returned. Otherwise, the first existing `adminobject` element will be returned.
      Returns:
        the instance defined for the element `adminobject`

    - #### createAdminobject

          AdminobjectType<ResourceadapterType<T>> createAdminobject()

      Creates a new `adminobject` element
      Returns:
        the new created instance of `AdminobjectType>`

    - #### getAllAdminobject

          java.util.List<AdminobjectType<ResourceadapterType<T>>> getAllAdminobject()

      Returns all `adminobject` elements
      Returns:
        list of `adminobject`

    - #### removeAllAdminobject

          ResourceadapterType<T> removeAllAdminobject()

      Removes all `adminobject` elements
      Returns:
        the current instance of `AdminobjectType>`

    - #### getOrCreateSecurityPermission

          SecurityPermissionType<ResourceadapterType<T>> getOrCreateSecurityPermission()

      If not already created, a new `security-permission` element will be created and returned. Otherwise, the first existing `security-permission` element will be returned.
      Returns:
        the instance defined for the element `security-permission`

    - #### createSecurityPermission

          SecurityPermissionType<ResourceadapterType<T>> createSecurityPermission()

      Creates a new `security-permission` element
      Returns:
        the new created instance of `SecurityPermissionType>`

    - #### getAllSecurityPermission

          java.util.List<SecurityPermissionType<ResourceadapterType<T>>> getAllSecurityPermission()

      Returns all `security-permission` elements
      Returns:
        list of `security-permission`

    - #### removeAllSecurityPermission

          ResourceadapterType<T> removeAllSecurityPermission()

      Removes all `security-permission` elements
      Returns:
        the current instance of `SecurityPermissionType>`

    - #### id

          ResourceadapterType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ResourceadapterType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ResourceadapterType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ResourceadapterType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)